Tables in current_schema() gets loaded with no schema info in the URI

2012-11-01 08:09 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15789

Description

So you can't, from a plugin for example, get to the schema containing the table in an easy way, despite the fact that the layer IS a table

(rather than a query).

Also note that the presence of a schema is sometimes used to conditionally execute some code (for instance in

QgsPostgresProvider::getGeometryDetails)

Related issues:

Related to QGIS Application - Bug report # 843: Import PostGIS data into GRAS... Closed

History

#1 - 2012-11-01 09:40 AM - Sandro Santilli

So it looks like the origin of the drop of schema info when == current schema is here: #843

which can be seen in git history at commit:5b4e6997ddcb36aa4facce9ee17c86e9ad14cde0

I'd like to rethink about how that ticket should be fixed

#2 - 2012-11-01 09:44 AM - Sandro Santilli

I've been told the ticket is also here, with same number #843

I haven't understood the steps to take to reproduce the problem described there.

All I understood is that someone was using v.in.ogr in a way which is not supported, but I didn't undersand who/_what_

#3 - 2012-11-01 09:55 AM - Sandro Santilli

- % Done changed from 0 to 50

This one is fixed by commit:0dc01f5

Lacks a testcase (the other 50% of it)

#4 - 2012-11-02 12:46 PM - Sandro Santilli

- Resolution set to fixed

- Status changed from Open to Closed
I'll close this, as I know I'm not going to add a test for this anyway...
